
#include <iostream>
#include <cstdio>
#include <vector> // told ya in the 'ponuda' task ^^

using namespace std;

struct Location
{
	vector<int> lineIdx;
};

struct Line
{
	vector<int> locationIdx;
};

int main(void)
{
	int n;
	cin >> n;

	vector<Location> locations(n);
	vector<Line> lines(n);

	for (int i=0; i < n; ++i)
	{
		int number;
		cin >> number;

		for (int k = 0; k < number; ++k)
		{
			int loc;
			cin >> loc;

			lines[i].locationIdx.push_back(loc);
			locations[loc].lineIdx.push_back(i);
		}
	}

	int removed = 0;
	vector<int> candidates;
	for (int i = 0; i < n; ++i)
	{
		Line max;
		bool uniqueLocationCoverage;
		for (int j=0; j < lines[i].locationIdx.size(); ++j)
		{
			if (locations[lines[i].locationIdx[j]].lineIdx.size() == 1)
			{
				uniqueLocationCoverage = true;
				break;
			}
		}
		if (uniqueLocationCoverage) continue;

		if (lines[i].locationIdx.size() > max.locationIdx.size())
		{
			max = lines[i];
		}
		if (lines[i].locationIdx.size() == max.locationIdx.size())
		{
			candidates.push_back(i);
		}
	}

	if (candidates.size() == 1)
	{
		lines.erase(lines.begin() + candidates[0]);
		removed++;
	}
	else if (candidates.size() > 1)
	{
		vector<int> candidates2;
		int maxLocationCoverage = 0;
		int maxLocationCoverage_line;
		for (int i = 0; i < candidates.size(); ++i)
		{
			int maxCoverage = 0;
			Location maxCoverage_loc;
			for (int j = 0; j < lines[candidates[i]].locationIdx.size(); ++j)
			{
				if (locations[lines[candidates[i]].locationIdx[j]].lineIdx.size() > maxCoverage)
				{
					maxCoverage = locations[lines[candidates[i]].locationIdx[j]].lineIdx.size();
					maxCoverage_loc = locations[lines[candidates[i]].locationIdx[j]];
				}
			}

			if (maxCoverage > maxLocationCoverage)
			{
				maxLocationCoverage = maxCoverage;
				maxLocationCoverage_line = candidates[i];
			}
			if (maxCoverage == maxLocationCoverage)
			{
				candidates2.push_back(i);
			}
		}

		if (candidates2.size() == 1)
		{
			removed++;
			lines.erase(lines.begin() + candidates2[0]);
		}
		else if (candidates2.size() > 1)
		{
			/// ....
		}
	}
	cout << removed;

	return 0;
}