#include <cstdlib>
#include <iostream>
#include <vector>
#include <bitset>

using namespace std;
vector <int> stanice;
int n;
struct linija;
vector<linija> lin;
struct linija
{
    int c;
    int up;
    vector<int> mesta;
    const bool operator<(const linija& rhs) const
    {
        if(this->c!=rhs.c)
        {
            return this->c>rhs.c;
        }
        else
        {
            int maxpok1=0, maxpok2=0;
            for(int i=0;i<(this->c);i++)
            {
                if(stanice[i-1]>maxpok1)
                    maxpok1=stanice[i-1];
            }
            for(int i=0;i<rhs.c;i++)
            {
                if(stanice[i-1]>maxpok2)
                    maxpok2=stanice[i-1];
            }
            if(maxpok1!=maxpok2)
            {
                return maxpok1>maxpok2;
            }
            else
            {
                int minpok1=99999, minpok2=99999;
                for(int i=0;i<this->c;i++)
                {
                  if(stanice[i-1]<minpok1)
                      minpok1=stanice[i-1];
                }
                for(int i=0;i<rhs.c;i++)
                {
                   if(stanice[i-1]<minpok2)
                       minpok2=stanice[i-1];
                }
                if(minpok1!=minpok2)
                {
                    return minpok1>minpok2;
                }
                else
                {
                    return this->up<rhs.up;
                }
            }
        }
    }
};
vector<int> ok(100);
bool canremove(int idx)
{
    for(int i=0;i<ok.size();i++)
        ok[i]=0;
    for(int i=0;i<n;i++)
    {
        if(i!=idx)
        {
            for(int j=0;j<lin[i].c;j++)
            {
                ok[lin[i].mesta[j-1]]=1;
            }
        }
    }
    bool ret=1;
    for(int i=0;i<n;i++)
    {
        ret=ret&&ok[i];
        if(!ret)
            break;
    }
    return ret;
}
void remove(int idx)
{
    for(int i=0;i<lin[idx].c;i++)
    {
        stanice[lin[idx].mesta[i]-1]--;
    }
    lin.erase(lin.begin()+idx);
}
int main(int argc, char *argv[])
{
    cin>>n;
    int tmp;
    int c;
    lin.resize(n);
    stanice.resize(n, 0);
    for(int i=0;i<n;i++)
    {
        cin>>c;
        lin[i].c=c;
        lin[i].up=i;
        for(int j=0;j<c;j++)
        {
            cin>>tmp;
            stanice[tmp-1]++;
            lin[i].mesta.push_back(tmp);
        }
    }
    sort(lin.begin(), lin.end());
    int res=-1;
    while(canremove(++res))
    {
        remove(res);
    }
    cout<<res;
    //system("PAUSE");
    return EXIT_SUCCESS;
}
