#include <stdio.h>
#define MAXN 101

int n, k;
int line [MAXN][MAXN];
int count [MAXN], max [MAXN], min [MAXN];
bool removed [MAXN];

int main ()
{
	scanf ("%d", &n);
	for (int i = 1; i <= n; i++)
	{
		scanf ("%d", &line [i][0]);
		for (int j = 1; j <= line [i][0]; j++)
			scanf ("%d", &line [i][j]);
	}

	for (int i = 1; i <= n; i++)
	{
		count [i] = 0;
		removed [i] = false;
	}
	for (int i = 1; i <= n; i++)
		for (int j = 1; j <= line [i][0]; j++)
			count [line [i][j]]++;

	k = 0;
	while (true)
	{
		for (int i = 1; i <= n; i++)
			if (removed [i] == false)
			{
				min [i] = count [line [i][1]];
				max [i] = count [line [i][1]];
				for (int j = 2; j <= line [i][0]; j++)
				{
					if (min [i] > count [line [i][j]])
						min [i] = count [line [i][j]];
					if (max [i] > count [line [i][j]])
						max [i] = count [line [i][j]];
				}
			}

		int index = -1;
		for (int i = 1; i <= n; i++)
			if ((removed [i] == false) && (min [i] > 1))
			{
				if (index == -1)
					index = i;
				else if (line [i][0] > line [index][0])
					index = i;
				else if ((line [i][0] == line [index][0]) && (max [i] > max [index]))
					index = i;
				else if ((line [i][0] == line [index][0]) && (max [i] == max [index]) && (min [i] > min [index]))
					index = i;
			}
		if (index == -1)
			break;

		k++;
		removed [index] = true;
		for (int j = 1; j <= line [index][0]; j++)
			count [line [index][j]]--;
	}

	printf ("%d\n", k);
	return 0;
}
